Retrieve a Terminal Hardware Product Preview

Retrieves a TerminalHardwareProduct object.

Parameters

No parameters.

Returns

Returns a TerminalHardwareProduct object if a valid identifier was provided.

GET /v1/terminal/hardware_products/:id
cURL
curl https://api.stripe.com/v1/terminal/hardware_products/thpr_MJfotcxYT5Hwsm \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-H "Stripe-Version: 2025-12-15.clover; terminal_hardware_orders_beta=v5"
Response
{
"id": "thpr_MJfotcxYT5Hwsm",
"object": "terminal.hardware_product",
"status": "available",
"type": "bbpos_wisepos_e",
"unavailable_after": null
}

List all Terminal Hardware Products Preview

List all TerminalHardwareProduct objects.

Parameters

  • statusenum

    Only return products that have the given status. Defaults to available.

    Possible enum values
    available

    Available for new orders.

    unavailable

    Can no longer be used for order creation.

More parameters

  • ending_beforestring

  • limitinteger

  • starting_afterstring

Returns

A dictionary with a data property that contains an array of terminal hardware products. Each entry in the array is a separate Product object.

GET /v1/terminal/hardware_products
cURL
curl https://api.stripe.com/v1/terminal/hardware_products \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-H "Stripe-Version: 2025-12-15.clover; terminal_hardware_orders_beta=v5"
Response
{
"object": "list",
"url": "/v1/terminal/hardware_products",
"has_more": false,
"data": [
{
"id": "thpr_MJfotcxYT5Hwsm",
"object": "terminal.hardware_product",
"status": "available",
"type": "bbpos_wisepos_e",
"unavailable_after": null
}
]
}